import { Flow } from '../components/flow';
export declare class FlowService {
    current: string;
    flow: Flow;
    scope: any;
    constructor(flow: Flow, scope: any);
    start(): string;
    next(): string;
    nextFromCurrentKey(currentKey: string): string;
    go(state: string): string;
    evaluate(scope: any, condition: any): boolean;
}
